%define upstream_name    enum
%define upstream_version 1.016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Resemble enumerated types in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Defines a set of symbolic constants with ordered numeric values ala *C*
*enum* types.

Now capable of creating creating ordered bitmask constants as well. See the
*BITMASKS* section for details.

What are they good for? Typical uses would be for giving mnemonic names to
indexes of arrays. Such arrays might be a list of months, days, or a return
value index from a function such as localtime():

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc INSTALL Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.16.0-2.mga3
+ Revision: 375443
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 26 2012 jquelin <jquelin> 1.16.0-1.mga2
+ Revision: 215112
- imported package perl-enum

